Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::LightPointSystem Class Reference

Inheritance diagram for osgSim::LightPointSystem:

[legend]
List of all members.

## Public Types
enum | AnimationState { ANIMATION_ON, ANIMATION_OFF, ANIMATION_RANDOM }
## Public Member Functions
| LightPointSystem ()
| LightPointSystem (const LightPointSystem &lps, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_Object (osgSim, LightPointSystem)
void | setIntensity (float intensity)
float | getIntensity () const
void | setAnimationState (LightPointSystem::AnimationState state)
LightPointSystem::AnimationState | getAnimationState () const
## Protected Member Functions
| ~LightPointSystem ()
## Protected Attributes
float | _intensity
AnimationState | _animationState

## Member Enumeration Documentation

enum osgSim::LightPointSystem::AnimationState

  | Enumeration values:
  ANIMATION_ON |
  ANIMATION_OFF |
  ANIMATION_RANDOM |

## Constructor & Destructor Documentation

osgSim::LightPointSystem::LightPointSystem | ( |  | ) | `[inline]`

osgSim::LightPointSystem::LightPointSystem | ( | const LightPointSystem & | lps,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

osgSim::LightPointSystem::~LightPointSystem | ( |  | ) | `[inline, protected]`

## Member Function Documentation

LightPointSystem::AnimationState osgSim::LightPointSystem::getAnimationState | ( |  | ) | const`[inline]`

float osgSim::LightPointSystem::getIntensity | ( |  | ) | const`[inline]`

osgSim::LightPointSystem::META_Object | ( | osgSim | ,
|  | LightPointSystem |
| ) |

void osgSim::LightPointSystem::setAnimationState | ( | LightPointSystem::AnimationState | state | ) | `[inline]`

void osgSim::LightPointSystem::setIntensity | ( | float | intensity | ) | `[inline]`

## Member Data Documentation

AnimationState osgSim::LightPointSystem::_animationState`[protected]`

float osgSim::LightPointSystem::_intensity`[protected]`

The documentation for this class was generated from the following file:

- LightPointSystem